      subroutine coordinates(xlon,ylat,xlon0,ylat0,x,y)   
c                             i    i     i     i   o o
*******************************************************************************
*                                                                             *
*      Projection of a point (xlon,ylat) to a plain which touchs the surface  *
*      of the earth at a point (xlon0,ylat0).                                 *
*                                                                             *
*      AUTHOR: Andreas Stohl, 9 May 1995                                      *
*                                                                             *
*******************************************************************************
*                                                                             *
C Variables:                                                                  *
* x,y [m]              position on the plain                                  *
* xlon,ylat            position in geografical coordinates                    *
* xlon0,ylat0          geografical coordinates of the touching point          *
*                                                                             *
C Constants:                                                                  *
* a [m]                radius of the earth                                    *
*                                                                             *
*******************************************************************************


      implicit none

      real a,x,y,xlon,ylat,xlon0,ylat0
      real helpsinylat,helpcosylat,helpsinylat0,helpcosylat0,helpcosxlon
      parameter(a=6371200.)


      helpsinylat=sin(ylat)
      helpcosylat=cos(ylat)
      helpsinylat0=sin(ylat0)
      helpcosylat0=cos(ylat0)
      helpcosxlon=cos(xlon-xlon0)

      x=2.*a*helpcosylat*sin(xlon-xlon0)/
     +(1.+helpcosylat0*helpcosylat*helpcosxlon+
     +helpsinylat0*helpsinylat)

      y=2.*a*(helpsinylat*helpcosylat0-
     +helpcosylat*helpsinylat0*helpcosxlon)/
     +(1.+helpcosylat0*helpcosylat*helpcosxlon+
     +helpsinylat0*helpsinylat)

      return
      end


